std::_Fwd_list_node< _Tp >(3cxx)

NAME
std::_Fwd_list_node< _Tp > - A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

SYNOPSIS

#include <forward_list>

Inherits std::_Fwd_list_node_base.

  Public Types

using _Base_ptr
using _Node_ptr

  Public Member Functions

_Fwd_list_node_base * _M_base_ptr ()
const _Fwd_list_node_base * _M_base_ptr () const
_Node_ptr _M_node_ptr ()
void _M_reverse_after () noexcept
_Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end) noexcept
const _Tp * _M_valptr () const noexcept
_Tp * _M_valptr () noexcept

  Public Attributes

_Fwd_list_node_base * _M_next
__gnu_cxx::__aligned_buffer< _Tp > _M_storage

Detailed Description

  template<typename _Tp>
struct std::_Fwd_list_node< _Tp >"A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

Author

Generated automatically by Doxygen for libstdc++ from the source code.